/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.hdllib;

public class GetSiteInfoResponse
  extends AbstractResponse
{
  public SiteInfo siteInfo;

  /**************************************************************
   * Constructor used on the client side. 
   **************************************************************/
  public GetSiteInfoResponse(SiteInfo siteInfo) {
    super(AbstractMessage.OC_GET_SITE_INFO, AbstractMessage.RC_SUCCESS);
    this.siteInfo = siteInfo;
  }

  /**************************************************************
   * Constructor used on the server side. 
   **************************************************************/
  public GetSiteInfoResponse(AbstractRequest req, SiteInfo siteInfo)
    throws HandleException
  {
    super(req, AbstractMessage.RC_SUCCESS);
    this.siteInfo = siteInfo;
  }  

  public String toString() {
    return super.toString()+"; siteInfo:"+String.valueOf(siteInfo);
  }
}
