/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.hdllib;

/******************************************************************************
 * Request used to setup a new session.  Holds the identity of the client,
 * exchange key (either a public key or a handle/index pair in handle system.
 ******************************************************************************/

public class SessionExchangeKeyRequest
  extends AbstractRequest
{
  //client send encrypted session key to server
  //server uses its RSA private key to decrypt
  private byte encryptedSessionKey[] = null;
   
  public SessionExchangeKeyRequest(byte encryptedSessionKey[]) 
  {
    super(Common.BLANK_HANDLE, AbstractMessage.OC_SESSION_EXCHANGEKEY, null);
    this.encryptedSessionKey = encryptedSessionKey;
  }
  
  public byte[] getEncryptedSessionKey() {
    return encryptedSessionKey;
  }
  
  public String toString() {
    StringBuffer sb = new StringBuffer(super.toString());
    sb.append(' ');
  
    return sb.toString();
  }
}
