/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.hdllib;

/** Request used to resolve a handle.  Holds the handle and parameters
 *  used in resolution.
 */

public class VerifyAuthRequest extends AbstractRequest {

  public int handleIndex;
  public byte nonce[];
  public byte origDigestAlg;
  public byte origRequestDigest[];
  public byte signedResponse[];

  public VerifyAuthRequest(byte handle[], byte nonce[],
                           byte origRequestDigest[], byte origDigestAlg,
                           byte signedResponse[], int handleIndex,
                           AuthenticationInfo authInfo) 
  {
    super( handle, OC_VERIFY_CHALLENGE, authInfo);
    this.handleIndex = handleIndex;
    this.nonce = nonce;
    this.origDigestAlg = origDigestAlg;
    this.origRequestDigest = origRequestDigest;
    this.signedResponse = signedResponse;
    this.authInfo = authInfo;
    this.certify = true;
    this.returnRequestDigest = true;
  }
  
  
}
