/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.security;

import java.math.*;
import java.security.interfaces.*;

public class DSAPrivateKeyImpl 
  implements DSAPrivateKey
{
  private BigInteger x;
  private DSAParams params;
  
  public DSAPrivateKeyImpl(BigInteger x, DSAParams params) 
    throws NumberFormatException
  {
    this.x = x;
    this.params = params;
  }
  
  public BigInteger getX() { return x; }

  public DSAParams getParams() { return params; }

  public String getAlgorithm() { return "DSA"; }

  public String getFormat() { return "HDL_DSA_PRIV"; }
  
  public byte[] getEncoded() {
    //// need to implement
    return null;
  }
}

