/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/
package net.handle.server;

import java.security.*;
import net.handle.hdllib.*;

public class ServerSideSessionInfo
  extends SessionInfo
{
  public PublicKey exchangeKey;
  public int keyExchangeMode = Common.KEY_EXCHANGE_NONE;
  
  public int timeLastUsed;  //last time the session is accessed
  
  //for promoting the anonymous session. 
  //only set to true after the challenge response model signature is verified
  public boolean clientAuthenticated = false;
  
  public ServerSideSessionInfo(int sessionid, byte[] sessionkey, byte[] identityHandle, int identityindex, PublicKey key, int keyExchangeMode, int majorProtocolVersion, int minorProtocolVersion)
  {
    super(sessionid, sessionkey, identityHandle, identityindex, majorProtocolVersion, minorProtocolVersion);
    this.exchangeKey = key;
    this.keyExchangeMode = keyExchangeMode;
  }
   
}
